## pike7.8 7.8.866

=== Makefile ===
#
# $Id: 4908319070ee088f6b4a5f3c8611d3491971deb4 $
#
# Meta Makefile
#

# Use this to pass arguments to configure. Leave empty to keep previous args.
#CONFIGUREARGS=

# Set this to any generic make options you'd otherwise would have to
# pass on the command line. (Using the magic MAKEFLAGS variable
# directly here might not work all the time due to the $(DO_MAKE)
# recursion.)
#MAKE_FLAGS=

# Set to a flag for parallelizing make, e.g. -j2. It's given to make
# at the level where it's most effective.
#MAKE_PARALLEL=-j`test -f /proc/cpuinfo && grep ^processor /proc/cpuinfo | wc -l || echo 1`

# Tip: Remove "-r" from the line below if you don't want to rebuild
# from scratch every time you upgrade the kernel.
OS=`if [ -n \"$$PIKE_BUILD_OS\" ]; then echo \"$$PIKE_BUILD_OS\"; else uname -s -r -m|sed \"s/ /-/g\"|tr \"[A-Z]\" \"[a-z]\"|tr \"/()\" \"___\"; fi`

VPATH=.
BUILDDIR=build/$(OS)
METATARGET=

# This evaluates to a proper make command.
# Regardless of whether the make sets $(MAKE) or not.
# Priority is $(MAKE) before ${MAKE} before make.
MAKE_CMD=`if [ "x$(MAKE)" = "x" ]; then echo "$${MAKE-make}"; else echo "$(MAKE)"; fi`

# Used internally in this file to start a submake to expand
# $(BUILDDIR), $(MAKE_CMD) etc.
DO_MAKE=MAKE="$(MAKE_CMD)" export MAKE && \
  "$${MAKE}" \
  `$$MAKE force --no-print-directory >/dev/null 2>&1 && echo --no-print-directory || :` \
  $(MAKE_FLAGS) "MAKE=$${MAKE}" \
  "CONFIGUREARGS=$(CONFIGUREARGS)" "BUILDDIR=$(BUILDDIR)"

# Used to avoid make compatibility problems.
BIN_TRUE=":"

all: bin/pike compile
	-@$(BIN_TRUE)

force:
	-@$(BIN_TRUE)

src/configure:
	cd src && ./run_autoconfig .

force_autoconfig:
	cd src && ./run_autoconfig .

force_configure:
	-builddir="$(BUILDDIR)"; rm -f "$$builddir/Makefile"
	@$(DO_MAKE) configure

reconfigure:
	-builddir="$(BUILDDIR)"; rm -f "$$builddir/Makefile" "$$builddir/config.cache"
	@$(DO_MAKE) configure

configure_help: src/configure
	cd src && ./configure --help

compile:
	@$(DO_MAKE) METATARGET=$(METATARGET) _make_in_builddir

builddir:
	@builddir="$(BUILDDIR)"; \
	if [ -d "$$builddir" ]; then : ; else NEWBUILD=YEP ; fi; \
	OLDIFS="$IFS"; \
	IFS='/'; \
	dir=`echo "$$builddir" | sed -e 's|[^/].*||'`; \
	for d in $$builddir; do \
	  dir="$$dir$$d"; \
	  if test x"$$dir" = x -o -d "$$dir"; then :; else \
	    echo "Creating $$dir..."; \
	    mkdir "$$dir" || exit 1; \
	  fi; \
	  dir="$$dir/"; \
	done; \
	IFS="$OLDIFS"; \
	if [ "x$$NEWBUILD" = "xYEP" ]; then \
	  if [ -f "refdoc/autodoc.xml" ]; then \
	    cp "refdoc/autodoc.xml" "$$builddir"; \
	  fi; \
	  mkdir "$$builddir/doc_build"; \
	  if [ -d "refdoc/images" ]; then \
	    cp -R "refdoc/images" "$$builddir/doc_build/images"; \
	  fi; \
	fi; \
	cd "$$builddir"

configure: src/configure builddir
	@builddir="$(BUILDDIR)"; \
	srcdir=`pwd`/src; \
	cd "$$builddir" && { \
	  if test "x$(CONFIGUREARGS)" = x--help; then \
	    "$$srcdir"/configure --help; \
	    exit 1; \
	  fi; \
	  if test "x$(CONFIGUREARGS)" = x; then :; else \
	    configureargs="$(CONFIGUREARGS)"; \
	    oldconfigureargs="$(CONFIGUREARGS)"; \
	  fi; \
	  if test -f .configureargs; then \
	    oldconfigureargs="`cat .configureargs`"; \
	  else :; fi; \
	  if test "x$(CONFIGUREARGS)" = x; then \
	    configureargs="$$oldconfigureargs"; \
	  else :; fi; \
	  MAKE="$(MAKE_CMD)"; \
	  export MAKE; \
	  echo; \
	  echo Configure arguments: $$configureargs; \
	  echo 'Use `make CONFIGUREARGS="..."' "...'" 'to change them.'; \
	  echo 'They will be retained in the build directory.'; \
	  echo; \
	  if test -f Makefile -a -f config.status -a -f .configureargs -a \
		  "x$$oldconfigureargs" = "x$$configureargs"; then :; \
	  else \
	    echo Running $$srcdir/configure $$configureargs in $$builddir; \
	    if test "x$${CONFIG_SHELL}" = "x" && \
	      /bin/bash -norc -c : 2>/dev/null; then \
	      CONFIG_SHELL="/bin/bash -norc" ; \
	    fi ;\
	    runconfigure () { \
	      CONFIG_SITE=x $${CONFIG_SHELL-/bin/sh} \
		"$$srcdir"/configure "$$@" || exit $$?; \
	    }; \
	    eval runconfigure $$configureargs; \
	    echo "$$configureargs" > .configureargs; \
	    if test "x$$oldconfigureargs" = "x$$configureargs"; then :; \
	    else \
	      echo Configure arguments have changed - doing make config_change_clean; \
	      $${MAKE} "MAKE=$${MAKE}" config_change_clean || exit $$?; \
	      if test "x$(METATARGET)" = "xsource"; then :; \
	      elif test "x$(METATARGET)" = "xexport"; then :; \
	      else \
		echo Configure arguments have changed - doing make depend; \
		$${MAKE} "MAKE=$${MAKE}" depend || exit $$?; \
	      fi; \
	    fi; \
	  fi; \
	} || exit $$?

# This target should always be executed indirectly through a $(DO_MAKE).
_make_in_builddir: configure
	@builddir="$(BUILDDIR)"; \
	cd "$$builddir" && { \
	  metatarget="$(METATARGET)"; \
	  if test "x$(LIMITED_TARGETS)" = "x"; then \
	    if test -f master.pike -a -x pike; then :; \
	    elif test "x$$metatarget" = xpike; then :; \
	    else metatarget="all $$metatarget"; fi; \
	    if test "x$$metatarget" = x; then metatarget=all; else :; fi; \
	  else :; fi; \
	  MAKE="$(MAKE_CMD)"; \
	  export MAKE; \
	  for target in $$metatarget; do \
	    echo Making $$target in "$$builddir"; \
	    rm -f remake; \
	    $${MAKE} "MAKE=$${MAKE}" "MAKE_PARALLEL=$(MAKE_PARALLEL)" "EXPORT_NAME=$(EXPORT_NAME)" $$target || { \
	      res=$$?; \
	      if test -f remake; then \
		$${MAKE} "MAKE=$${MAKE}" "MAKE_PARALLEL=$(MAKE_PARALLEL)" "EXPORT_NAME=$(EXPORT_NAME)" $$target || \
		  exit $$?; \
	      else \
		exit $$res; \
	      fi; \
	    }; \
	  done; \
	} || exit $$?

# FIXME: The refdoc stuff ought to use $(BUILDDIR) too.

documentation:
	@$(DO_MAKE) "METATARGET=documentation" _make_in_builddir

doc: documentation

doxygen:
	doxygen refdoc/doxygen.cfg

legal: bin/pike
	bin/pike -e 'Stdio.write_file("COPYRIGHT", \
	  Tools.Legal.Copyright.get_text());'
	bin/pike -e 'Stdio.write_file("COPYING", \
	  Tools.Legal.License.get_text());'

release_checks: bin/pike
	bin/pike tools/release_checks.pike

# Don't make bin/pike if we're recursing with a $(METATARGET) since we
# don't want the backquote expression which usually is part of
# $(BUILDDIR) to be expanded in that script. It's better to evaluate
# it when the script is run, so that it can choose the build directory
# for the right architecture.
bin/pike: force
	@if test \! -x bin/pike -o "x$(METATARGET)" = x; then \
	  builddir='$(BUILDDIR)'; \
	  case $$builddir in /*) ;; *) builddir="`pwd`/$$builddir";; esac; \
	  sed -e "s@\"BUILDDIR\"@$$builddir@" < bin/pike.in > bin/pike && \
	  chmod a+x bin/pike; \
	else :; fi

# This skips the modules.
pike: bin/pike
	@$(DO_MAKE) "METATARGET=pike" _make_in_builddir

libpike: force
	@$(DO_MAKE) "METATARGET=libpike.so" _make_in_builddir

install: bin/pike
	@$(DO_MAKE) "METATARGET=install" _make_in_builddir

install_nodoc: bin/pike
	@INSTALLARGS="--no-autodoc $(INSTALLARGS)"
	@$(DO_MAKE) "METATARGET=install" _make_in_builddir

install_interactive: bin/pike
	@$(DO_MAKE) "METATARGET=install_interactive" _make_in_builddir

install_interactive_nodoc: bin/pike
	@INSTALLARGS="--no-audodoc $(INSTALLARGS)"
	@$(DO_MAKE) "METATARGET=install_interactive" _make_in_builddir

tinstall: bin/pike
	@$(DO_MAKE) "METATARGET=tinstall" _make_in_builddir

testsuites:
	@$(DO_MAKE) "METATARGET=testsuites" _make_in_builddir
	@$(DO_MAKE) "METATARGET=testsuite" _make_in_builddir

just_verify:
	@$(DO_MAKE) "METATARGET=just_verify" _make_in_builddir

valgrind_just_verify:
	@$(DO_MAKE) "METATARGET=valgrind_just_verify" _make_in_builddir

verify:
	@$(DO_MAKE) "METATARGET=verify" _make_in_builddir

valgrind_verify:
	@$(DO_MAKE) "METATARGET=valgrind_verify" _make_in_builddir

verify_installed:
	@$(DO_MAKE) "METATARGET=verify_installed" _make_in_builddir

check: verify
	-@$(BIN_TRUE)

sure: verify
	-@$(BIN_TRUE)

verbose_verify:
	@$(DO_MAKE) "METATARGET=verbose_verify" _make_in_builddir

gdb_verify:
	@$(DO_MAKE) "METATARGET=gdb_verify" _make_in_builddir

dump_modules:
	@$(DO_MAKE) "METATARGET=dump_modules" _make_in_builddir

force_dump_modules:
	@$(DO_MAKE) "METATARGET=force_dump_modules" _make_in_builddir

delete_dumped_modules:
	@$(DO_MAKE) "METATARGET=delete_dumped_modules" _make_in_builddir

undump_modules:
	@$(DO_MAKE) "METATARGET=undump_modules" _make_in_builddir

run_hilfe:
	@$(DO_MAKE) "METATARGET=run_hilfe" _make_in_builddir

gdb_hilfe:
	@$(DO_MAKE) "METATARGET=gdb_hilfe" _make_in_builddir

source:
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=source" _make_in_builddir

export:
	@EXPORT_PREREQ=yepp ; echo ; \
	if [ -f "$(BUILDDIR)/autodoc.xml" ]; then : ; else \
	  echo 'No documentation source built.'; \
	  EXPORT_PREREQ=FAIL ; \
	fi ; \
	if ls bundles/gmp-*.tar.gz > /dev/null 2>&1; then : ; else \
	  echo 'Missing GMP bundle.'; \
	  EXPORT_PREREQ=FAIL ; \
	fi ; \
	if ls bundles/nettle-*.tar.gz > /dev/null 2>&1; then : ; else \
	  echo 'Missing Nettle bundle.'; \
	  EXPORT_PREREQ=FAIL ; \
	fi ; \
	if ls bundles/libffi-*.tar.gz > /dev/null 2>&1; then : ; else \
	  echo 'Missing libffi bundle.'; \
	  EXPORT_PREREQ=FAIL ; \
	fi ; \
	if [ "$$EXPORT_PREREQ" = "FAIL" ]; then : \
	  echo 'Fix the above error(s) and rerun "make export", or'; \
	  echo '"make export_forced" to bypass these checks.';\
	  echo ; \
	  exit 1; \
	fi
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=export" _make_in_builddir

export_forced:
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=export" _make_in_builddir

snapshot_export:
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=snapshot_export" \
	  "EXPORT_NAME=Pike-v%maj.%min-snapshot-%Y%M%D" _make_in_builddir

snapshot: snapshot_export

xenofarm_export:
	@echo Begin export
	@rm -f export_result.txt
	@echo "Adding bundles from $$HOME/pike_bundles/..." >>export_result.txt
	@for f in "$$HOME/pike_bundles/"* no; do \
	  if test -f "$$f"; then \
	    echo "  Bundling" `echo "$$f"|sed -e 's/.*\///g'`; \
	    cp -f "$$f" bundles/; \
	  fi; \
	done >>export_result.txt
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=snapshot_export" \
	  "EXPORT_NAME=Pike%maj.%min-%Y%M%D-%h%m%s" \
	  "EXPORTARGS=--snapshot $(EXPORTARGS)" \
	  _make_in_builddir >>export_result.txt 2>&1
	@echo Export done

bin_export:
	@$(DO_MAKE) "METATARGET=bin_export" _make_in_builddir

wix:
	@$(DO_MAKE) "METATARGET=wix" _make_in_builddir

feature_list:
	@$(DO_MAKE) "METATARGET=feature_list" _make_in_builddir

solaris_pkg_configure:
	@$(DO_MAKE) "CONFIGUREARGS=--prefix=/opt $(CONFIGUREARGS)" \
	  "METATARGET=configure" _make_in_builddir

solaris_pkg: solaris_pkg_configure bin/pike
	@test -d "${BUILDDIR}/solaris_pkg_build" || mkdir "${BUILDDIR}/solaris_pkg_build"
	@cd "${BUILDDIR}" && $(DO_MAKE) \
		"buildroot=solaris_pkg_build/" \
		install
	@bin/pike bin/make_solaris_pkg.pike --prefix="/opt" --installroot="`pwd`/${BUILDDIR}/solaris_pkg_build"  --pkgdest="`pwd`"
	@test -d "${BUILDDIR}/solaris_pkg_build" && rm -rf "${BUILDDIR}/solaris_pkg_build"
	@ls -l *pkg

xenofarm_feature:
	$(DO_MAKE) BUILDDIR="$(BUILDDIR)" \
	  CONFIGUREARGS="$(CONFIGUREARGS) --with-cdebug --with-security --with-double-precision --with-profiling --with-keypair-loop --with-new-multisets" \
	  xenofarm

xenofarm:
	-rm -rf xenofarm_result
	mkdir xenofarm_result
	-CCACHE_LOGFILE="`pwd`/xenofarm_result/ccache.log.txt" \
	  CONFIGUREARGS="$(CONFIGUREARGS)" \
	  MAKE="$(MAKE_CMD)" BUILDDIR="$(BUILDDIR)" /bin/sh bin/xenofarm.sh
	cd xenofarm_result && tar cf - . > ../xenofarm_result.tar
	gzip -f9 xenofarm_result.tar

benchmark:
	@$(DO_MAKE) "METATARGET=run_bench" _make_in_builddir

clean:
	-cd "$(BUILDDIR)" && test -f Makefile && $(DO_MAKE) clean || { \
	  res=$$?; \
	  if test -f remake; then $(DO_MAKE) clean; \

=== refdoc/Makefile ===
#
# Main Makefile for extracting AutoDoc mk II to XML
#
# $Id: 847945a40c0258f8f780169d0c59e6b8a95e946a $
#
# Henrik Grubbstrm 2001-02-02
#

BUILDDIR=
DESTDIR=
PIKE=pike

all: modref traditional

pike.ida.liu.se: modref pelix_modref traditional

caudium.net: modref caudium_modref traditional

# These are the actual build targets for making manuals...

modref: $(BUILDDIR)/modref.xml structure/modref.css structure/modref.html \
	  presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_modref

module_modref: $(BUILDDIR)/module_modref.xml structure/modref.css structure/module_modref.html \
	  presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_module_modref

low_module_modref:
	-rm -rf $(DESTDIR)modref
	@mkdir $(DESTDIR)modref
	@cp structure/modref.css $(DESTDIR)modref/style.css
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/module_modref.xml structure/module_modref.html $(DESTDIR)modref predef
	@mkdir $(DESTDIR)modref/images
	-cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)modref/images
	@for file in pike_logo.gif next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif ; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

low_modref:
	-rm -rf $(DESTDIR)modref
	@test -d $(DESTDIR)modref || mkdir modref
	@cp structure/modref.css modref/style.css
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/modref.html $(DESTDIR)modref predef
	@test -d $(DESTDIR)modref/images || mkdir $(DESTDIR)modref/images
	-cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)modref/images
	@for file in pike_logo.gif next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif ; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

pelix_modref: $(BUILDDIR)/modref.xml structure/pelix_modref.html \
	        presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_pelix_modref

low_pelix_modref:
	-rm -rf pelix_modref
	@mkdir pelix_modref
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/pelix_modref.html pelix_modref predef
	@mkdir pelix_modref/images
	cp $(BUILDDIR)/doc_build/images/* pelix_modref/images

caudium_modref: $(BUILDDIR)/modref.xml structure/caudium_modref.html \
		presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_caudium_modref

low_caudium_modref:
	-rm -rf caudium_modref
	@mkdir caudium_modref
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/caudium_modref.html caudium_modref predef
	@mkdir pelix_modref/images
	cp $(BUILDDIR)/doc_build/images/* caudium_modref/images

one_page: onepage $(BUILDDIR)/onepage.xml presentation/make_html.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_one_page

low_one_page:
	cp $(BUILDDIR)/doc_build/images/* onepage/
	@$(PIKE) presentation/make_html.pike --img= $(BUILDDIR)/onepage.xml

traditional: traditional_manual $(BUILDDIR)/traditional.xml presentation/make_html.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_traditional

low_traditional:
	cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)traditional_manual/images/
	@$(PIKE) presentation/make_html.pike --dest=$(DESTDIR) --img=images/ $(BUILDDIR)/traditional.xml

# Sub targets used by the above targets.

always:

images: $(BUILDDIR)/doc_build/src/post_modules/GTK/refdoc/images
	@cp ../src/post_modules/GTK/refdoc/images/*.png \
	  $(BUILDDIR)/doc_build/src/post_modules/GTK/refdoc/images

# Directories

onepage:
	@test -d onepage || mkdir onepage

traditional_manual:
	@test -d traditional_manual || mkdir traditional_manual
	@test -d traditional_manual/images || mkdir traditional_manual/images


# Development targets

touch-mirardoc:
	@touch `grep -r \\*\\*\! ../src/modules/* | cut -d: -f1 | \
	  uniq`
	@touch `grep -r "//\! module" ../lib/modules/* | cut -d: -f1 | \
	  uniq`


# Cleanup

clean:
	true

spotless:
	-test -f .cvsignore && rm -rf `cat .cvsignore`

=== debian/changelog ===
pike7.8 (7.8.866-5ubuntu0.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996) - the trigger is only building
    a cache, pike uses the source otherwise, so it's safe to have stuff not
    wait for it.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 16 Jul 2018 10:58:28 +0200

pike7.8 (7.8.866-5build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:50:33 +0000

pike7.8 (7.8.866-5) unstable; urgency=low

  * clang_inline.patch: Fix FTBFS on i386 (probably due to changed meaning
    of inline with GCC 5).
  * Adjust debian/watch.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 21 Nov 2015 20:48:16 +0100

pike7.8 (7.8.866-4) unstable; urgency=medium

  * Update Homepage URL to http://pike.lysator.liu.se.
  * freetype_2.6_typeof.patch (new): Fix FTBFS with Freetype 2.6.
  * smartlink_rpath.patch: Match all Linux versions. Skip patching
    smartlink.c since we've disabled it with --disable-smartlink_binary.
  * Replace dh_clean -k with dh_prep.
  * Bump Standards-Version to 3.9.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Sep 2015 22:26:35 +0200

pike7.8 (7.8.866-3) unstable; urgency=low

  * debian/copyright: Delete paragraph about repacked upstream tarball,
    which hasn't been the case since 7.8.700-1.
  * debian/copyright: Update from COPYRIGHT.
  * debian/copyright: Add reference to COMMITTERS.
  * Add libgtksourceview2.0-dev as a build dependency to enable the
    GTK2.SourceView module.
  * Add heimdal-dev as a build dependency to enable the Kerberos and
    GSSAPI modules. Move said modules to a new pike7.8-kerberos package.
  * smartlink_verbose.patch: Make the smartlink script print the build
    commands it's executing to allow build log checks.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 04 Aug 2014 22:32:03 +0200

pike7.8 (7.8.866-2) unstable; urgency=low

  * Upload to unstable.
  * Correct watch URL.
  * Correct Vcs-Svn URI again; should use anonscm.debian.org.
  * bad_size_t_redef.patch: Fix undefined behaviour/buffer overruns in
    module _Image_JPEG on 64-bit architectures due to broken redefinition
    of size_t (Closes: #750430).
  * Use dh_installdocs --link-doc to create doc symlinks in module
    packages.
  * Replace GPL and LGPL license texts used by Tools.Legal.License with
    symlinks to corresponding files in /usr/share/common-licenses.
    Override remaining Lintian warnings about GPL.pmod and LGPL.pmod,
    which do not include the license texts themselves.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 02 Aug 2014 21:47:30 +0200

pike7.8 (7.8.866-1) experimental; urgency=low

  * New upstream beta version.
  * debian/control: Correct Vcs-Svn URI.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 07 Jun 2014 12:59:38 +0200

pike7.8 (7.8.852-1) experimental; urgency=low

  * New upstream beta version.
  * Drop reg_enum_conflict.patch and nettle_crypt_md5_buffer_size.patch;
    incorporated upstream. Refresh remaining patches.
  * Bump Standards-Version to 3.9.5.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 22 Apr 2014 19:38:46 +0200

=== debian/control ===
Source: pike7.8
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
Uploaders: Henrik Andreasson <debian@han.pp.se>
Standards-Version: 3.9.6
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 5), bison, sharutils, bc, pkg-config,
 libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
 libbz2-dev, libgdbm-dev, unixodbc-dev, libmysqlclient-dev, libpq-dev,
 libsqlite3-dev, libpcre3-dev, libsdl-mixer1.2-dev, libsdl1.2-dev,
 libsane-dev, x11proto-gl-dev, libxpm-dev, libglade2-dev,
 libgtksourceview2.0-dev, libfreetype6-dev, freeglut3-dev,
 libjpeg-dev, libtiff-dev, librsvg2-dev (>= 2.7), libgnomeui-dev,
 libfuse-dev, libfftw3-dev, libavahi-compat-libdnssd-dev,
 heimdal-dev
Build-Conflicts: libutahglx-dev
Homepage: http://pike.lysator.liu.se/
Vcs-Svn: svn://anonscm.debian.org/pkg-pike/branches/7.8-stable
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-pike/

Package: pike7.8-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pike7.8-doc
Description: Powerful interpreted programming language
 Pike is an interpreted, object-oriented, dynamic programming language
 with a syntax similar to C. It includes many powerful data types and
 a module system that, for instance, provides image manipulation
 together, with support for graphics formats like SVG, JPG, PNG, GIF,
 XCF and many others, database connectivity, advanced cryptography,
 XML/HTML parsers and others. To learn more about pike, please visit
 http://pike.lysator.liu.se/ Note that some of the Pike features are
 found in other pike7.8-* packages (image processing, MySQL,
 PostgreSQL, SANE and more).

Package: pike7.8
Architecture: all
Depends: pike7.8-core (>= ${source:Version}), pike7.8-image (>= ${source:Version}), 
 pike7.8-gdbm (>= ${source:Version}), pike7.8-pcre (>= ${source:Version}), ${misc:Depends}
Recommends: pike7.8-mysql (>= ${source:Version}), pike7.8-pg (>= ${source:Version}), pike7.8-dev (>= ${source:Version})
Suggests: pike7.8-doc (= ${source:Version})
Description: Recommended metapackage for Pike 7.8
 This is a metapackage which depends upon several other Pike
 packages that together make up the recommended Pike installation.
 If you want to install every packaged component of the Pike 
 distribution, please install the pike7.8-full package.
 .
 If you want to remove several components this package depends
 upon, you can purge this package without worrying about the
 functionality loss in Pike and then remove the packages you
 don't need on your system.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 pike7.8-core (= ${binary:Version}), pike7.8-image (= ${binary:Version})
Replaces: pike7.8-core (<< 7.8.352-dfsg-6)
Breaks: pike7.8-core (<< 7.8.352-dfsg-6)
Description: Development files for Pike 7.8
 This package contains files you will need to develop C extension modules 
 for Pike. The package depends on the recommended set of packages for the 
 Pike environment.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-manual
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Pike 7.8 manual
 The Pike manual auto-generated from the sources.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-reference
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Pike 7.8 reference
 The Pike reference auto-generated from the sources.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, pike7.8-manual (= ${source:Version}), pike7.8-reference (= ${source:Version})
Description: Pike 7.8 documentation metapackage
 This package depends upon all the Pike 7.8 documentation  packages. Note 
 that the download and installation sizes might be very large.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-full
Architecture: all
Depends: ${misc:Depends}, pike7.8 (= ${source:Version}), pike7.8-mysql (>= ${source:Version}), pike7.8-pg (>= ${source:Version}), pike7.8-odbc (>= ${source:Version}), pike7.8-sdl (>= ${source:Version}), pike7.8-gdbm (>= ${source:Version}), pike7.8-gtk (>= ${source:Version}), pike7.8-gl (>= ${source:Version}), pike7.8-sane (>= ${source:Version}), pike7.8-doc (= ${source:Version}), pike7.8-dev (>= ${source:Version}), pike7.8-svg (>= ${source:Version}), pike7.8-pcre (>= ${source:Version}), pike7.8-bzip2 (>= ${source:Version}), pike7.8-fuse (>= ${source:Version}), pike7.8-sqlite (>= ${source:Version}), pike7.8-dnssd (>= ${source:Version}), pike7.8-kerberos (>= ${source:Version})
Description: Metapackage for Pike 7.8
 This package depends on all the components that make up the Pike
 language distribution. It will pull in a LOT of packages the
 Pike components depend upon (including XFree libraries, GTK+, GNOME)!
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: MySQL modules for Pike
 This package contains Pike modules providing access to MySQL
 databases: Mysql and Sql.mysql(s).
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-pg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: PostgreSQL modules for Pike
 This package contains Pike module providing access to PostgreSQL
 databases: Postgres, Sql.postgres, and Sql.postgres_result.
 .
 Note: These modules are deprecated in favour of the pure Pike
 Sql.pgsql module, which is included in the core package.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-odbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: ODBC modules for Pike
 This package contains Pike modules providing glue to the ODBC
 interface: Odbc, Sql.odbc, and Sql.odbc_result.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-svg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Suggests: pike7.8-image (= ${source:Version})
Description: SVG format support for Pike
 This package provides an SVG graphics format module, Image.SVG. It
 has been separated from the pike7.8-image module because of its quite
 extensive dependencies.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Replaces: pike7.8-core (<< 7.8.700-6)
Breaks: pike7.8-core (<< 7.8.700-6)
Suggests: pike7.8-svg (= ${source:Version})
Description: Image modules for Pike
 This package provides many powerful image processing functions to
 Pike programs. It contains the modules Image (except Image.SVG),
 Graphics, Colors, and Protocols.X.XImage.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-sdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: SDL module for Pike
 This module provides the Pike interface to the SDL library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-gdbm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: Gdbm module for Pike
 This Pike module provides access to gdbm databases.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version}),
 pike7.8-image (= ${binary:Version})
Replaces: pike7.8-core (<< 7.8.700-5)
Breaks: pike7.8-core (<< 7.8.700-5)
Description: GTK+ 2.0 module for Pike
 This Pike module provides access to the GTK+ 2.0 library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-gl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: Mesa modules for Pike
 This package contains the Pike modules providing access to the Mesa
 3D graphics library: GL, GLU (GL Utilities), and GLUE (GL Universal
 Environment).
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-sane
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: SANE module for Pike
 This Pike module provides access to SANE.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-pcre
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: PCRE module for Pike
 This Pike module (Regexp.PCRE) enables one to use the PCRE (Perl
 compatible regular expressions) library from within the Pike
 programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-bzip2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: Bzip2 module for Pike
 This Pike module enables one to use the Bzip2 compression
 algorithm from within the Pike programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: Filesystem in USErspace support for Pike
 This Pike module enables one to export filesystems to the Linux
 kernel using the FUSE library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: SQLite module for Pike
 This Pike module enables one to use the SQLite embedded database
 library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-dnssd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: DNS Service Discovery (DNS-SD) for Pike
 This Pike module enables one to take advantage of DNS service discovery.
 .
 DNS Service Discovery is a way of using standard DNS programming interfaces,
 servers, and packet formats to browse the network for services.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-kerberos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Replaces: pike7.8-core (<< 7.8.866-2~)
Breaks: pike7.8-core (<< 7.8.866-2~)
Description: Kerberos and GSSAPI modules for Pike

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.
#
# $Id: rules,v 1.64 2006/08/05 15:49:18 grendel Exp $
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

ifdef CCVER
CC=gcc-$(CCVER)
else
CC=gcc
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFARGSEXTRA := --with-cdebug

ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
export CC=$(DEB_HOST_GNU_TYPE)-gcc
CFARGSEXTRA += --host=$(DEB_HOST_GNU_TYPE)
endif

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFARGSEXTRA += --without-copt
else
  ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    CFARGSEXTRA += --without-copt
    export DEB_CFLAGS_MAINT_STRIP := -O2 -O3
    export DEB_CFLAGS_MAINT_PREPEND := -O1
  else
    CFARGSEXTRA += --with-copt
  endif
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
CFARGSEXTRA += --with-rtldebug
else
CFARGSEXTRA += --without-rtldebug
endif

# Temporary workaround for hppa linker issues
ifeq ($(DEB_BUILD_ARCH),hppa)
export DEB_CFLAGS_MAINT_APPEND += -ffunction-sections
endif

EXTRA_ARGS=--with-security

export DEB_CPPFLAGS_MAINT_APPEND := -DDEBIAN
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DO_MACHINE_CODE=no
ifeq ($(DEB_HOST_ARCH),i386)
DO_MACHINE_CODE=yes
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
DO_MACHINE_CODE=yes
endif
ifeq ($(DEB_BUILD_ARCH),sparc)
DO_MACHINE_CODE=no
endif

ifeq ($(DO_MACHINE_CODE),yes)
MACHINE_OPTS=--with-machine-code
else
MACHINE_OPTS=--without-machine-code
endif

#DEBVERSION:=$(shell dpkg-parsechangelog | sed -ne 's/Version: *\(.*\)-.*$$/\1/p')
DEBVERSION:=$(shell dpkg-parsechangelog | grep "Version:" | cut -d" " -f2 | cut -d"-" -f1)
MAJOR:=$(shell sed -ne 's/major://p' buildid.txt)
MINOR:=$(shell sed -ne 's/minor://p' buildid.txt)
BUILD:=$(shell sed -ne 's/build://p' buildid.txt)
PIKEV:=$(MAJOR).$(MINOR)
VERSION:=$(MAJOR).$(MINOR).$(BUILD)
PIKE:=pike$(PIKEV)

ifneq ($(VERSION),$(DEBVERSION))
$(error Version mismatch; buildid.txt: $(VERSION), debian/changelog: $(DEBVERSION))
endif

# --with-lib-path is just to stop configure from adding all the
# standard library directories with -L as well as -R to LDFLAGS
CFARGS=$(CFARGSEXTRA) \
       --with-cflags='`dpkg-buildflags --get CFLAGS`' \
       --with-cppflags='`dpkg-buildflags --get CPPFLAGS`' \
       --with-ldflags='`dpkg-buildflags --get LDFLAGS`' \
       --prefix=/usr \
       --with-bignums \
       --with-gmp \
       --with-poll \
       --with-zlib \
       --with-freetype \
       --without-ttflib \
       --with-libnettle \
       --without-sybase \
       --without-java \
       --with-odbc \
       --with-sane \
       --with-postgres \
       --with-postgres-include-dir=`pg_config --includedir` \
       --with-libpq-dir=/usr/lib \
       --without-ffmpeg \
       --without-fftw \
       --without-libpdf \
       --without-libpanda \
       --without-GTK \
       --with-GTK2 \
       --without-bundles \
       --without-oracle \
       --without-dvb \
       --with-sqlite \
       --disable-rpath \
       --disable-smartlink_binary \
       $(MACHINE_OPTS) $(EXTRA_ARGS)

include_prefix=/usr/include/pike$(PIKEV)/pike
lib_prefix=/usr/lib/pike$(PIKEV)

MODULE_PACKAGES=$(shell dh_listpackages -a -N $(PIKE)-core)
#{ADT,Array,Audio,Cache,Calendar,Calendar_I,COM,Colors,CommonLog,Crypto,Debug,Filesystem,Error,Float,Function,Geography,Getopt,Gettext,Gmp,Graphics,Gz,HTTPAccept,Int,Kerberos,Languages,Local,Locale,Mapping,Math,MIME,Mird,Multiset,Nettle,Parser,Pike,Pipe,Process,Program,Protocols,Regexp,Remote,SSL,Shuffler,Standards,Stdio,String,System,Thread,Tools,Unicode,Web,Yabu,Yp,_ADT,_Charset,_Roxen,___Gz,___MIME,___Math,___Mird,___Regexp,___Yp,____Charset,__builtin*,spider}.
#usr/lib/pike/*/modules/Sql.pmod/{module,Sql,rsql,sql_*}.*

excluded_modules:=Ssleay Mird Msql msql PDF Ffmpeg Oracle oracle sybase DVB Java TTF Gnome GDK GTKSupport ZXID
# This is tricky. Note that it's only possible for an exclusion to match the last
# component specified in an .install file or on the command line, and below.
DH_EXCLUDE:=$(addprefix -X,$(excluded_modules))
DH_ALREADY=`for p in $(MODULE_PACKAGES); do \
	      find debian/$$p/usr/lib/pike?.?/* -type f -printf "-X%P "; done`

TMP=$(CURDIR)/debian/tmp

#export CFLAGS CC PIKE VERSION
export CC

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) compile CONFIGUREARGS="$(CFARGS)"
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	$(MAKE) documentation CONFIGUREARGS="$(CFARGS)"
	touch build-indep-stamp

build: build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp
	$(MAKE) distclean
	rm -rf refdoc/modref refdoc/traditional_manual
	dh_clean

install: DH_OPTIONS=
install: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) INSTALLARGS=--traditional \
		buildroot=$(TMP) \
		prefix=/usr \
		man_prefix=/usr/share/man \
		lib_prefix="$(lib_prefix)" \
		include_prefix="$(include_prefix)" \
		pike_name=/usr/bin/$(PIKE) \
		install_nodoc

#	Some cleaning
	find "$(TMP)$(lib_prefix)" -name '.autodoc' -type f -exec rm -f '{}' ';'

	install -d -m755 $(TMP)/usr/share/pixmaps
	install -m644 debian/pike.xpm $(TMP)/usr/share/pixmaps/$(PIKE).xpm
	mv $(TMP)/usr/bin/pike $(TMP)/usr/bin/$(PIKE)
	mv $(TMP)/usr/share/man/man1/pike.1 $(TMP)/usr/share/man/man1/$(PIKE).1

#	Simply strip exec permissions and shebangs from all pike scripts.
	find $(TMP)/usr -name *.p* -type f \
		-exec chmod a-x '{}' + \
		-exec sed -ri -e '1!b;/^#!/d' '{}' +

#	Install our own, simpler specs file.
	sed -e "s;@include_prefix@;$(include_prefix);g" \
	    -e "s;@CONFIGURE_ARGS@;$(CFARGS);g" \
	    debian/specs.in > $(TMP)$(include_prefix)/specs

#	Fix precompike.pike
	sed -i -e "s%\.\./lib%$(lib_prefix)%" $(TMP)$(include_prefix)/precompile.pike

# 	# pike -x module fix
#	sed -i -e 's;\$$(MODULE_BASE)/dynamic_module_makefile;\$$(PIKE_SRC_DIR)/modules/dynamic_module_makefile;g' \
#		$(TMP)$(include_prefix)/modules/dynamic_module_makefile

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	# install the docs
	dh_install -p$(PIKE)-manual refdoc/traditional_manual/* usr/share/doc/$(PIKE)-doc/html/manual
	dh_install -p$(PIKE)-reference refdoc/modref/* usr/share/doc/$(PIKE)-doc/html/reference
	dh_install -i -N$(PIKE)-manual -N$(PIKE)-reference --sourcedir=$(TMP)
	dh_installdocs -i
	dh_installchangelogs -i -k CHANGES
	dh_lintian -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir -a
	dh_testroot -a
	dh_install -a -N$(PIKE)-core --sourcedir=debian/tmp $(DH_EXCLUDE)
	dh_install -p$(PIKE)-core --sourcedir=debian/tmp $(DH_EXCLUDE) $(DH_ALREADY)
	for p in $(MODULE_PACKAGES); do \
		sed "s/#PACKAGE#/$$p/" debian/prerm-snippet >> debian/$$p.prerm.debhelper; \
	done
	dh_installdocs -a --link-doc=$(PIKE)-core
	dh_installmenu -a
	dh_installchangelogs -a -k CHANGES
	dh_lintian -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a -X/run_autoconfig -X/precompile.sh -X/smartlink -X/fixdepends.sh -X/install_module -X/mktestsuite
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://pike.lysator.liu.se/download/pub/pike/latest-stable/ .*/Pike-v(7\.8\.\d+)\.tar\.gz
